////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 1995-2013 Xilinx, Inc.  All rights reserved.
////////////////////////////////////////////////////////////////////////////////
//   ____  ____
//  /   /\/   /
// /___/  \  /    Vendor: Xilinx
// \   \   \/     Version: P.20131013
//  \   \         Application: netgen
//  /   /         Filename: ModCount2_timesim.v
// /___/   /\     Timestamp: Thu Sep 05 16:35:57 2019
// \   \  /  \ 
//  \___\/\___\
//             
// Command	: -intstyle ise -s 3 -pcf ModCount2.pcf -sdf_anno true -sdf_path netgen/par -insert_glbl true -insert_pp_buffers true -w -dir netgen/par -ofmt verilog -sim ModCount2.ncd ModCount2_timesim.v 
// Device	: 6slx9tqg144-3 (PRODUCTION 1.23 2013-10-13)
// Input file	: ModCount2.ncd
// Output file	: C:\usr\Xwork\ModCount2\netgen\par\ModCount2_timesim.v
// # of Modules	: 1
// Design Name	: ModCount2
// Xilinx        : C:\Xilinx\14.7\ISE_DS\ISE\
//             
// Purpose:    
//     This verilog netlist is a verification model and uses simulation 
//     primitives which may not represent the true implementation of the 
//     device, however the netlist is functionally correct and should not 
//     be modified. This file cannot be synthesized and should only be used 
//     with supported simulation tools.
//             
// Reference:  
//     Command Line Tools User Guide, Chapter 23 and Synthesis and Simulation Design Guide, Chapter 6
//             
////////////////////////////////////////////////////////////////////////////////

`timescale 1 ns/1 ps

module ModCount2 (
  CK, Q
);
  input CK;
  output Q;
  wire CK_IBUF_0;
  wire Q_OBUF_24;
  wire XLXN_14;
  wire \XLXI_1/XLXN_24 ;
  wire \XLXI_1/XLXN_23 ;
  wire CK_IBUF_1;
  wire \NlwBufferSignal_Q_OBUF/I ;
  initial $sdf_annotate("netgen/par/modcount2_timesim.sdf");
  X_IPAD #(
    .LOC ( "PAD121" ))
  CK_4 (
    .PAD(CK)
  );
  X_BUF #(
    .LOC ( "PAD121" ))
  CK_IBUF (
    .O(CK_IBUF_1),
    .I(CK)
  );
  X_BUF #(
    .LOC ( "PAD121" ))
  \ProtoComp0.IMUX  (
    .I(CK_IBUF_1),
    .O(CK_IBUF_0)
  );
  X_OPAD #(
    .LOC ( "PAD122" ))
  Q_7 (
    .PAD(Q)
  );
  X_OBUF #(
    .LOC ( "PAD122" ))
  Q_OBUF (
    .I(\NlwBufferSignal_Q_OBUF/I ),
    .O(Q)
  );
  X_LUT6 #(
    .LOC ( "SLICE_X9Y2" ),
    .INIT ( 64'hAAAA0000FFFFFFFF ))
  \XLXI_1/XLXI_3  (
    .ADR3(1'b1),
    .ADR1(1'b1),
    .ADR2(1'b1),
    .ADR5(\XLXI_1/XLXN_23 ),
    .ADR4(CK_IBUF_0),
    .ADR0(XLXN_14),
    .O(\XLXI_1/XLXN_24 )
  );
  X_LUT6 #(
    .LOC ( "SLICE_X8Y2" ),
    .INIT ( 64'h00F0FFFF00F0FFFF ))
  \XLXI_1/XLXI_8  (
    .ADR0(1'b1),
    .ADR1(1'b1),
    .ADR5(1'b1),
    .ADR4(Q_OBUF_24),
    .ADR2(\XLXI_1/XLXN_23 ),
    .ADR3(CK_IBUF_0),
    .O(XLXN_14)
  );
  X_LUT6 #(
    .LOC ( "SLICE_X8Y2" ),
    .INIT ( 64'h00F000F0FFFFFFFF ))
  \XLXI_1/XLXI_7  (
    .ADR0(1'b1),
    .ADR1(1'b1),
    .ADR4(1'b1),
    .ADR5(XLXN_14),
    .ADR3(CK_IBUF_0),
    .ADR2(\XLXI_1/XLXN_24 ),
    .O(Q_OBUF_24)
  );
  X_LUT6 #(
    .LOC ( "SLICE_X8Y2" ),
    .INIT ( 64'h0C0C0C0CFFFFFFFF ))
  \XLXI_1/XLXI_4  (
    .ADR0(1'b1),
    .ADR3(1'b1),
    .ADR4(1'b1),
    .ADR5(\XLXI_1/XLXN_24 ),
    .ADR2(XLXN_14),
    .ADR1(CK_IBUF_0),
    .O(\XLXI_1/XLXN_23 )
  );
  X_BUF   \NlwBufferBlock_Q_OBUF/I  (
    .I(Q_OBUF_24),
    .O(\NlwBufferSignal_Q_OBUF/I )
  );
endmodule


`ifndef GLBL
`define GLBL

`timescale  1 ps / 1 ps

module glbl ();

    parameter ROC_WIDTH = 100000;
    parameter TOC_WIDTH = 0;

//--------   STARTUP Globals --------------
    wire GSR;
    wire GTS;
    wire GWE;
    wire PRLD;
    tri1 p_up_tmp;
    tri (weak1, strong0) PLL_LOCKG = p_up_tmp;

    wire PROGB_GLBL;
    wire CCLKO_GLBL;

    reg GSR_int;
    reg GTS_int;
    reg PRLD_int;

//--------   JTAG Globals --------------
    wire JTAG_TDO_GLBL;
    wire JTAG_TCK_GLBL;
    wire JTAG_TDI_GLBL;
    wire JTAG_TMS_GLBL;
    wire JTAG_TRST_GLBL;

    reg JTAG_CAPTURE_GLBL;
    reg JTAG_RESET_GLBL;
    reg JTAG_SHIFT_GLBL;
    reg JTAG_UPDATE_GLBL;
    reg JTAG_RUNTEST_GLBL;

    reg JTAG_SEL1_GLBL = 0;
    reg JTAG_SEL2_GLBL = 0 ;
    reg JTAG_SEL3_GLBL = 0;
    reg JTAG_SEL4_GLBL = 0;

    reg JTAG_USER_TDO1_GLBL = 1'bz;
    reg JTAG_USER_TDO2_GLBL = 1'bz;
    reg JTAG_USER_TDO3_GLBL = 1'bz;
    reg JTAG_USER_TDO4_GLBL = 1'bz;

    assign (weak1, weak0) GSR = GSR_int;
    assign (weak1, weak0) GTS = GTS_int;
    assign (weak1, weak0) PRLD = PRLD_int;

    initial begin
	GSR_int = 1'b1;
	PRLD_int = 1'b1;
	#(ROC_WIDTH)
	GSR_int = 1'b0;
	PRLD_int = 1'b0;
    end

    initial begin
	GTS_int = 1'b1;
	#(TOC_WIDTH)
	GTS_int = 1'b0;
    end

endmodule

`endif

